Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.cfg
Class SearchConfigurationFromHibernateCore

    java.lang.Object
      org.hibernate.search.cfg.SearchConfigurationFromHibernateCore

All Implemented Interfaces:
  SearchConfiguration

    public class SearchConfigurationFromHibernateCore

extends java.lang.Object
implements SearchConfiguration

Search configuration implementation wrapping an Hibernate Core configuration

Author:
  Emmanuel Bernard

Constructor Summary
`SearchConfigurationFromHibernateCore(org.hibernate.cfg.Configuration cfg)`

Method Summary
`java.lang.Class<?>` | `getClassMapping(java.lang.String name)` Returns a `Class` from a String parameter.
`java.util.Iterator<java.lang.Class<?>>` | `getClassMappings()` Returns an iterator over the list of indexed classes
`SearchMapping` | `getProgrammaticMapping()` returns the programmatic configuration or null //TODO remove hard dep with solr classes
`java.util.Properties` | `getProperties()` Gets properties as a java.util.Properties object.
`java.lang.String` | `getProperty(java.lang.String propertyName)` Gets a configuration property from its name or null if not present
`org.hibernate.annotations.common.reflection.ReflectionManager` | `getReflectionManager()` Returns a reflection manager if already available in the environment null otherwise

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchConfigurationFromHibernateCore

    public SearchConfigurationFromHibernateCore(org.hibernate.cfg.Configuration cfg)

Method Detail

### getClassMappings

    public java.util.Iterator<java.lang.Class<?>> getClassMappings()

  Description copied from interface: `SearchConfiguration`
  Returns an iterator over the list of indexed classes

  Specified by:
    `getClassMappings` in interface `SearchConfiguration`
  Returns:
    iterator of indexed classes.

### getClassMapping

    public java.lang.Class<?> getClassMapping(java.lang.String name)

  Description copied from interface: `SearchConfiguration`
  Returns a `Class` from a String parameter.

  Specified by:
    `getClassMapping` in interface `SearchConfiguration`
  Returns:
    corresponding class instance.

### getProperty

    public java.lang.String getProperty(java.lang.String propertyName)

  Description copied from interface: `SearchConfiguration`
  Gets a configuration property from its name or null if not present

  Specified by:
    `getProperty` in interface `SearchConfiguration`
  Parameters:
    `propertyName` - - as a String.
  Returns:
    the property as a String

### getProperties

    public java.util.Properties getProperties()

  Description copied from interface: `SearchConfiguration`
  Gets properties as a java.util.Properties object.

  Specified by:
    `getProperties` in interface `SearchConfiguration`
  Returns:
    a java.util.Properties object.
  See Also:
    `object`

### getReflectionManager

    public org.hibernate.annotations.common.reflection.ReflectionManager getReflectionManager()

  Description copied from interface: `SearchConfiguration`
  Returns a reflection manager if already available in the environment null otherwise

  Specified by:
    `getReflectionManager` in interface `SearchConfiguration`
  Returns:
    ReflectionManager

### getProgrammaticMapping

    public SearchMapping getProgrammaticMapping()

  Description copied from interface: `SearchConfiguration`
  returns the programmatic configuration or null //TODO remove hard dep with solr classes

  Specified by:
    `getProgrammaticMapping` in interface `SearchConfiguration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.